/// AUTO GENERATED BY build.rs

use std::collections::HashMap;

use webrender_build::shader::ShaderVersion;

pub struct SourceWithDigest {
    pub source: &'static str,
    pub digest: &'static str,
}

pub struct OptimizedSourceWithDigest {
    pub vert_source: &'static str,
    pub frag_source: &'static str,
    pub digest: &'static str,
}

lazy_static! {
  pub static ref UNOPTIMIZED_SHADERS: HashMap<&'static str, SourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert("base", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/base.glsl"), digest: "b9cce220af80cc2d"});
    shaders.insert("brush", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/brush.glsl"), digest: "12edf41e0beb0458"});
    shaders.insert("brush_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/brush_blend.glsl"), digest: "d5339f426f272182"});
    shaders.insert("brush_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/brush_image.glsl"), digest: "e233c32c939b7351"});
    shaders.insert("brush_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/brush_linear_gradient.glsl"), digest: "8fa7f2c75186e67a"});
    shaders.insert("brush_mix_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/brush_mix_blend.glsl"), digest: "5e8108842cc98586"});
    shaders.insert("brush_opacity", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/brush_opacity.glsl"), digest: "1728622f8bf9d68f"});
    shaders.insert("brush_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/brush_solid.glsl"), digest: "d1fbf7bebe11d50"});
    shaders.insert("brush_yuv_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/brush_yuv_image.glsl"), digest: "7872f4be712e2a61"});
    shaders.insert("clip_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/clip_shared.glsl"), digest: "15006499c53a3a11"});
    shaders.insert("composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/composite.glsl"), digest: "742bf4fab5a862f4"});
    shaders.insert("cs_blur", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_blur.glsl"), digest: "5c7020f29c83f6ae"});
    shaders.insert("cs_border_segment", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_border_segment.glsl"), digest: "59464c323a2cd9f8"});
    shaders.insert("cs_border_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_border_solid.glsl"), digest: "695da5e871ffaf06"});
    shaders.insert("cs_clip_box_shadow", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_clip_box_shadow.glsl"), digest: "f2db3432347cd2b6"});
    shaders.insert("cs_clip_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_clip_image.glsl"), digest: "b7c2ee49e1845836"});
    shaders.insert("cs_clip_rectangle", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_clip_rectangle.glsl"), digest: "f6304f80895293a"});
    shaders.insert("cs_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_conic_gradient.glsl"), digest: "9952d506fba675fe"});
    shaders.insert("cs_fast_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_fast_linear_gradient.glsl"), digest: "4febda4b82d1a07b"});
    shaders.insert("cs_line_decoration", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_line_decoration.glsl"), digest: "e91c688e4522cb2b"});
    shaders.insert("cs_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_radial_gradient.glsl"), digest: "62678f83e2e995cd"});
    shaders.insert("cs_scale", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_scale.glsl"), digest: "3b2c5ec2c473bebe"});
    shaders.insert("cs_svg_filter", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/cs_svg_filter.glsl"), digest: "dda5077a97abb8e1"});
    shaders.insert("debug_color", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/debug_color.glsl"), digest: "954b1bcb550674bc"});
    shaders.insert("debug_font", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/debug_font.glsl"), digest: "17596515fd3a9030"});
    shaders.insert("ellipse", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/ellipse.glsl"), digest: "1883f224293b6515"});
    shaders.insert("gpu_cache", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/gpu_cache.glsl"), digest: "e99b57d9cc26406a"});
    shaders.insert("gpu_cache_update", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/gpu_cache_update.glsl"), digest: "e5a4b7aea770a2f2"});
    shaders.insert("gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/gradient.glsl"), digest: "d27b0ffe1e6af869"});
    shaders.insert("gradient_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/gradient_shared.glsl"), digest: "f22f798f633b116a"});
    shaders.insert("pf_vector_cover", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/pf_vector_cover.glsl"), digest: "28fd2d7b7c38209e"});
    shaders.insert("pf_vector_stencil", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/pf_vector_stencil.glsl"), digest: "98e1ac0b0ae70ed6"});
    shaders.insert("prim_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/prim_shared.glsl"), digest: "ae3b193140ee5db6"});
    shaders.insert("ps_clear", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/ps_clear.glsl"), digest: "a64db1ee15ac50cb"});
    shaders.insert("ps_split_composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/ps_split_composite.glsl"), digest: "16dfd04c7ee61c2a"});
    shaders.insert("ps_text_run", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/ps_text_run.glsl"), digest: "f3180d2a5060ba9a"});
    shaders.insert("rect", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/rect.glsl"), digest: "12587862dff428cd"});
    shaders.insert("render_task", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/render_task.glsl"), digest: "3e16cd6b386f9247"});
    shaders.insert("shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/shared.glsl"), digest: "ea6e58b97174c730"});
    shaders.insert("shared_other", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/shared_other.glsl"), digest: "9f6298a27dfe79c6"});
    shaders.insert("transform", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/transform.glsl"), digest: "721534917e53e721"});
    shaders.insert("yuv", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-88.0.1/gfx/wr/webrender/res/yuv.glsl"), digest: "856c5036ea1f11c5"});
    shaders
  };

  pub static ref OPTIMIZED_SHADERS: HashMap<(ShaderVersion, &'static str), OptimizedSourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert((ShaderVersion::Gl, "brush_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_blend_Gl.frag"),
        digest: "8bca3c6bbea656d7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_blend_ALPHA_PASS_Gl.frag"),
        digest: "bfd98f0c36107ea8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "5ecc23bf907b789d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "6f9dced39f0b13f9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "7649ac4f541cc1b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "224fcf73ab6eb67d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "c5310ae85f6ae657",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "88d8770e47a77f97",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "1ce96249ce75006d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "f05ff9df39f990ae",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "ff35d4703606ef68",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "e16f7fdb10aad57b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.frag"),
        digest: "45b8c31ce141ee41",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "823cb6dd0fdb6a45",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "f82214cd7dace5f9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "1dfb0184dbb821ce",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "55c095e0be95e770",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "a1ea9c73cc8048d8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "335796bd6788d72b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "c4999fd4985f5f38",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.frag"),
        digest: "b9b2387e4d6f083c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_TEXTURE_2D_Gl.frag"),
        digest: "7fe2192a54c42946",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_image_TEXTURE_RECT_Gl.frag"),
        digest: "9efcd553bb3b51e5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_linear_gradient_Gl.frag"),
        digest: "565ee92b6b17dcd6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_linear_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_linear_gradient_ALPHA_PASS_Gl.frag"),
        digest: "4768277bbe570377",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "37d3269a7a4f57e7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_mix_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_mix_blend_Gl.frag"),
        digest: "ffebb293f58e3c08",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_mix_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_mix_blend_ALPHA_PASS_Gl.frag"),
        digest: "ddf57ac6b26ea26e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "3e4e13e79a4a6526",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_Gl.frag"),
        digest: "a0756f2270ad2718",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_ALPHA_PASS_Gl.frag"),
        digest: "944b3d45a1afa22a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.frag"),
        digest: "76d8174841bc6a80",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_ANTIALIASING_Gl.frag"),
        digest: "b2a71c384367f0c6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "bcd6753aa5a23d7a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_opacity_DEBUG_OVERDRAW_Gl.frag"),
        digest: "52a3d0c09894100d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_solid_Gl.frag"),
        digest: "4a827284ee9bdd9f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_solid_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_solid_ALPHA_PASS_Gl.frag"),
        digest: "9134a713653a9fa",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_solid_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_solid_DEBUG_OVERDRAW_Gl.frag"),
        digest: "dd6868af2ff8e713",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.frag"),
        digest: "94929ad577709702",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "52568cf58a421b07",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.frag"),
        digest: "e927ff3ed7b82fdd",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "e3f46a5e5eb2a439",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.frag"),
        digest: "6052f0808dd035",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "2ce9620e8b841290",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_FAST_PATH_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_FAST_PATH_TEXTURE_2D_Gl.frag"),
        digest: "cd5856a5b6626fea",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_FAST_PATH_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_FAST_PATH_TEXTURE_RECT_Gl.frag"),
        digest: "6bb6b51c7c2f1392",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_TEXTURE_2D_Gl.frag"),
        digest: "541058407169cf49",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_TEXTURE_2D_YUV_Gl.frag"),
        digest: "e8e89c7ab5cc8b5b",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_TEXTURE_RECT_Gl.frag"),
        digest: "17ec7442a2e6c8da",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/composite_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "9bc1da4d9f3b4fdb",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_ALPHA_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_blur_ALPHA_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_blur_ALPHA_TARGET_Gl.frag"),
        digest: "d7607a4c0138637d",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_COLOR_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_blur_COLOR_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_blur_COLOR_TARGET_Gl.frag"),
        digest: "5251c9553f50adb8",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_segment"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_border_segment_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_border_segment_Gl.frag"),
        digest: "ba5887be98840bb8",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_border_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_border_solid_Gl.frag"),
        digest: "f2e98082d291c2df",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_box_shadow_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_clip_box_shadow_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_clip_box_shadow_TEXTURE_2D_Gl.frag"),
        digest: "3084e46d4d0a0355",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_clip_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_clip_image_TEXTURE_2D_Gl.frag"),
        digest: "544259c85ab4c10",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_clip_rectangle_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_clip_rectangle_Gl.frag"),
        digest: "2bacb8685741e60f",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_clip_rectangle_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_clip_rectangle_FAST_PATH_Gl.frag"),
        digest: "ef6361a61d3512d6",
    });
    shaders.insert((ShaderVersion::Gl, "cs_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_conic_gradient_Gl.frag"),
        digest: "6449309b5fd34353",
    });
    shaders.insert((ShaderVersion::Gl, "cs_fast_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_fast_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_fast_linear_gradient_Gl.frag"),
        digest: "e42103ea32ffa5d2",
    });
    shaders.insert((ShaderVersion::Gl, "cs_line_decoration"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_line_decoration_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_line_decoration_Gl.frag"),
        digest: "b727ce6ac2c3c231",
    });
    shaders.insert((ShaderVersion::Gl, "cs_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_radial_gradient_Gl.frag"),
        digest: "ea9b08c8e8214c73",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_scale_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_scale_TEXTURE_2D_Gl.frag"),
        digest: "3951d0499251493c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_scale_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_scale_TEXTURE_RECT_Gl.frag"),
        digest: "e8efead3fb714c6e",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_svg_filter_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/cs_svg_filter_Gl.frag"),
        digest: "ffccf5fc51d9dba",
    });
    shaders.insert((ShaderVersion::Gl, "debug_color"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/debug_color_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/debug_color_Gl.frag"),
        digest: "f458fe7ea40bd77e",
    });
    shaders.insert((ShaderVersion::Gl, "debug_font"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/debug_font_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/debug_font_Gl.frag"),
        digest: "503ec56c19b6bd2c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_clear"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_clear_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_clear_Gl.frag"),
        digest: "e696a5e94c11171b",
    });
    shaders.insert((ShaderVersion::Gl, "ps_split_composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_split_composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_split_composite_Gl.frag"),
        digest: "aade82fab7ac9215",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "c1a26314c7cbb181",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "b9517aa99f4f086d",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "43ade4836d3e1675",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "61e09ed591327144",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "6280c2679b7bd998",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-88.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-324f2ce1bb4ae142/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "fe59bc92f19bd089",
    });
    shaders
  };
}
